Package org.apache.sysds.common

# Enum Class Types.ExecType

java.lang.Object
java.lang.Enum<Types.ExecType>
org.apache.sysds.common.Types.ExecType

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.ExecType>`, `Constable`

Enclosing interface:
  Types

public static enum Types.ExecType extends Enum<Types.ExecType>
Execution type of individual operations.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CP`
Control Program: This ExecType indicate that the operation should be executed in the controller.
`CP_FILE`
Control Program File: This ExecType indicate that the operation should be executed in the controller, and the result be spilled to disk because the intermediate is potentially bigger than memory.
`FED`
FED: indicate that the instruction should be executed as a Federated instruction
`GPU`
GPU ExecType indicate that the execution should be performed on a GPU
`INVALID`
invalid is used for debugging or if it is undecided where the current instruction should be executed
`OOC`
Out of Core: indicate that the operation should be executed out of core.
`SPARK`
Spark ExecType indicate that the execution should be performed as a Spark Instruction

## Method Summary

Modifier and Type
Method
Description
`static Types.ExecType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.ExecType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CP

public static final Types.ExecType CP
Control Program: This ExecType indicate that the operation should be executed in the controller.

### CP_FILE

public static final Types.ExecType CP_FILE
Control Program File: This ExecType indicate that the operation should be executed in the controller, and the result be spilled to disk because the intermediate is potentially bigger than memory.

### SPARK

public static final Types.ExecType SPARK
Spark ExecType indicate that the execution should be performed as a Spark Instruction

### GPU

public static final Types.ExecType GPU
GPU ExecType indicate that the execution should be performed on a GPU

### FED

public static final Types.ExecType FED
FED: indicate that the instruction should be executed as a Federated instruction

### OOC

public static final Types.ExecType OOC
Out of Core: indicate that the operation should be executed out of core.

### INVALID

public static final Types.ExecType INVALID
invalid is used for debugging or if it is undecided where the current instruction should be executed

## Method Details

### values

public static Types.ExecType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.ExecType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null